PLASMA_Complex64_t_Tile_Async(3)

NAME
PLASMA_Complex64_t_Tile_Async - Advanced Interface: Asynchronous - Double Complex

  Functions
int PLASMA_zcgels_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_desc *X, int *ITER, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zcgesv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *B, PLASMA_desc *X, int *ITER, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zcposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_desc *X, int *ITER, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zcungesv_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_desc *X, int *ITER, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgeadd_Tile_Async (PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_Complex64_t beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, double *S, double *E, PLASMA_desc *T, PLASMA_Complex64_t *U, int LDU, PLASMA_Complex64_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, double Anorm, double *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgelqf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgelqs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgels_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex64_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgeqp3_Tile_Async (PLASMA_desc *A, int *jpvt, PLASMA_Complex64_t *tau, PLASMA_Complex64_t *work, double *rwork, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgeqrf_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgeqrs_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, double *S, PLASMA_desc *T, PLASMA_Complex64_t *U, int LDU, PLASMA_Complex64_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgesv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgesv_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc *A, double *S, PLASMA_desc *T, PLASMA_Complex64_t *U, int LDU, PLASMA_Complex64_t *VT, int LDVT, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrf_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrf_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, int *IPIV, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrf_nopiv_Tile_Async (PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrf_tntpiv_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, int *Wpivot, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetri_Tile_Async (PLASMA_desc *A, int *IPIV, PLASMA_desc *W, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc *A, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zgetrs_incpiv_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zheev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, double *W, PLASMA_desc *T, PLASMA_Complex64_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zheevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, double *W, PLASMA_desc *T, PLASMA_Complex64_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zheevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc *A, double vl, double vu, int il, int iu, double abstol, int *nbcomputedeig, double *W, PLASMA_desc *T, PLASMA_Complex64_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zhegst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zhegv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, double *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zhegvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, double *W, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zhemm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex64_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zher2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, double beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zherk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, double alpha, PLASMA_desc *A, double beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zhetrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc *A, double *W, double *E, PLASMA_desc *T, PLASMA_Complex64_t *Q, int LDQ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlange_Tile_Async (PLASMA_enum norm, PLASMA_desc *A, double *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlanhe_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc *A, double *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc *A, double *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, double *value, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlascal_Tile_Async (PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlaset_Tile_Async (PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_Complex64_t beta, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlaswp_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlaswpc_Tile_Async (PLASMA_desc *A, int K1, int K2, const int *IPIV, int INCX, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zlauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zplghe_Tile_Async (double bump, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zplgsy_Tile_Async (PLASMA_Complex64_t bump, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zplrnt_Tile_Async (PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zpltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc *A, unsigned long long int seed, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zpocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, double Anorm, double *rcond, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zpotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zpotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zpotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zstedc_Async (PLASMA_enum jobz, int n, double *D, double *E, PLASMA_Complex64_t *Z, int LDZ, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zsymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex64_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zsyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_Complex64_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zsyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_Complex64_t beta, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_Complex64_t beta, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztrmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztrsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztrsmpl_Tile_Async (PLASMA_desc *A, PLASMA_desc *L, const int *IPIV, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztrsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc *A, PLASMA_desc *B, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_ztrtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zunglq_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zungqr_Tile_Async (PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *Q, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zunmlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zunmqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc *A, PLASMA_desc *T, PLASMA_desc *C, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zLapack_to_Tile_Async (PLASMA_Complex64_t *Af77, int LDA, PLASMA_desc *A, PLASMA_sequence *sequence, PLASMA_request *request)
int PLASMA_zTile_to_Lapack_Async (PLASMA_desc *A, PLASMA_Complex64_t *Af77, int LDA, PLASMA_sequence *sequence, PLASMA_request *request)

Detailed Description

This is the group of double complex functions using the advanced asynchronous interface.

Function Documentation

  int PLASMA_zcgels_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_desc * X, int * ITER, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zcgels_Tile_Async - Solves overdetermined or underdetermined linear system of equations using the tile QR or the tile LQ factorization and mixed-precision iterative refinement. Non-blocking equivalent of PLASMA_zcgels_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zcgels

    PLASMA_zcgels_Tile

    PLASMA_dsgels_Tile_Async

    PLASMA_zgels_Tile_Async

  int PLASMA_zcgesv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * B, PLASMA_desc * X, int * ITER, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zcgesv_Tile_Async - Solves a system of linear equations using the tile LU factorization and mixed-precision iterative refinement. Non-blocking equivalent of PLASMA_zcgesv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zcgesv

    PLASMA_zcgesv_Tile

    PLASMA_dsgesv_Tile_Async

    PLASMA_zgesv_Tile_Async

  int PLASMA_zcposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_desc * X, int * ITER, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zcposv_Tile_Async - Solves a symmetric positive definite or Hermitian positive definite system of linear equations using the Cholesky factorization and mixed-precision iterative refinement. Non-blocking equivalent of PLASMA_zcposv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zcposv

    PLASMA_zcposv_Tile

    PLASMA_dsposv_Tile_Async

    PLASMA_zposv_Tile_Async

  int PLASMA_zcungesv_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_desc * X, int * ITER, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zcungesv_Tile_Async - Solves symmetric linear system of equations using the tile QR or the tile LQ factorization and mixed-precision iterative refinement. Non-blocking equivalent of PLASMA_zcungesv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zcungesv

    PLASMA_zcungesv_Tile

    PLASMA_dsungesv_Tile_Async

    PLASMA_zgels_Tile_Async

  int PLASMA_zgeadd_Tile_Async (PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_Complex64_t beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgeadd_Tile_Async - Performs a matrix addition similarly to the pzgeadd() function from the PBLAS library. Non-blocking equivalent of PLASMA_zgeadd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgeadd

    PLASMA_zgeadd_Tile

    PLASMA_cgeadd_Tile_Async

    PLASMA_dgeadd_Tile_Async

    PLASMA_sgeadd_Tile_Async

  int PLASMA_zgebrd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, double * S, double * E, PLASMA_desc * T, PLASMA_Complex64_t * U, int LDU, PLASMA_Complex64_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgebrd_Tile_Async - reduces a general complex M-by-N matrix A to upper or lower bidiagonal form B using a two-stage approach First stage: reduction to band bidiagonal form (orthogonal matrices Q1 and P1); Second stage: reduction from band to bidiagonal form (orthogonal matrices Q2 and P2). Let Q = Q1 * Q2 be the global left unitary transformation; Let P = P1 * P2 be the global right unitary transformation; Q**H * A * P = B. If M >= N, B is upper bidiagonal; if M < N, B is lower bidiagonal. Note: T is incomplete and contains only the block reflectors of the first stage. Therefore, Q and P can not be built completely. Non-blocking equivalent of PLASMA_zgebrd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgebrd

    PLASMA_zgebrd_Tile

    PLASMA_cgebrd_Tile_Async

    PLASMA_dgebrd_Tile_Async

    PLASMA_sgebrd_Tile_Async

  int PLASMA_zgecon_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, double Anorm, double * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgecon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_zgecon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgecon

    PLASMA_zgecon_Tile

    PLASMA_cgecon_Tile_Async

    PLASMA_dgecon_Tile_Async

    PLASMA_sgecon_Tile_Async

  int PLASMA_zgelqf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgelqf_Tile_Async - Computes the tile LQ factorization of a matrix. Non-blocking equivalent of PLASMA_zgelqf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgelqf

    PLASMA_zgelqf_Tile

    PLASMA_cgelqf_Tile_Async

    PLASMA_dgelqf_Tile_Async

    PLASMA_sgelqf_Tile_Async

    PLASMA_zgelqs_Tile_Async

  int PLASMA_zgelqs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgelqs_Tile_Async - Computes a minimum-norm solution using previously computed LQ factorization. Non-blocking equivalent of PLASMA_zgelqs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgelqs

    PLASMA_zgelqs_Tile

    PLASMA_cgelqs_Tile_Async

    PLASMA_dgelqs_Tile_Async

    PLASMA_sgelqs_Tile_Async

    PLASMA_zgelqf_Tile_Async

  int PLASMA_zgels_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgels_Tile_Async - Solves overdetermined or underdetermined linear system of equations using the tile QR or the tile LQ factorization. Non-blocking equivalent of PLASMA_zgels_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgels

    PLASMA_zgels_Tile

    PLASMA_cgels_Tile_Async

    PLASMA_dgels_Tile_Async

    PLASMA_sgels_Tile_Async

  int PLASMA_zgemm_Tile_Async (PLASMA_enum transA, PLASMA_enum transB, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex64_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgemm_Tile_Async - Performs matrix multiplication. Non-blocking equivalent of PLASMA_zgemm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgemm

    PLASMA_zgemm_Tile

    PLASMA_cgemm_Tile_Async

    PLASMA_dgemm_Tile_Async

    PLASMA_sgemm_Tile_Async

  int PLASMA_zgeqp3_Tile_Async (PLASMA_desc * A, int * jpvt, PLASMA_Complex64_t * tau, PLASMA_Complex64_t * work, double * rwork, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgeqp3_Tile_Async - Computes the tile QR factorization with column pivoting of a matrix. Non-blocking equivalent of PLASMA_zgeqp3_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgeqp3

    PLASMA_zgeqp3_Tile

    PLASMA_cgeqp3_Tile_Async

    PLASMA_dgeqp3_Tile_Async

    PLASMA_sgeqp3_Tile_Async

  int PLASMA_zgeqrf_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgeqrf_Tile_Async - Computes the tile QR factorization of a matrix. Non-blocking equivalent of PLASMA_zgeqrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgeqrf

    PLASMA_zgeqrf_Tile

    PLASMA_cgeqrf_Tile_Async

    PLASMA_dgeqrf_Tile_Async

    PLASMA_sgeqrf_Tile_Async

    PLASMA_zgeqrs_Tile_Async

  int PLASMA_zgeqrs_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgeqrs_Tile_Async - Computes a minimum-norm solution using the tile QR factorization. Non-blocking equivalent of PLASMA_zgeqrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgeqrs

    PLASMA_zgeqrs_Tile

    PLASMA_cgeqrs_Tile_Async

    PLASMA_dgeqrs_Tile_Async

    PLASMA_sgeqrs_Tile_Async

    PLASMA_zgeqrf_Tile_Async

  int PLASMA_zgesdd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, double * S, PLASMA_desc * T, PLASMA_Complex64_t * U, int LDU, PLASMA_Complex64_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgesdd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_zgesdd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgesdd

    PLASMA_zgesdd_Tile

    PLASMA_cgesdd_Tile_Async

    PLASMA_dgesdd_Tile_Async

    PLASMA_sgesdd_Tile_Async

  int PLASMA_zgesv_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgesv_incpiv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_zgesv_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgesv_incpiv

    PLASMA_zgesv_incpiv_Tile

    PLASMA_cgesv_incpiv_Tile_Async

    PLASMA_dgesv_incpiv_Tile_Async

    PLASMA_sgesv_incpiv_Tile_Async

    PLASMA_zcgesv_Tile_Async

  int PLASMA_zgesv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgesv_Tile_Async - Solves a system of linear equations using the tile LU factorization. Non-blocking equivalent of PLASMA_zgesv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgesv

    PLASMA_zgesv_Tile

    PLASMA_cgesv_Tile_Async

    PLASMA_dgesv_Tile_Async

    PLASMA_sgesv_Tile_Async

    PLASMA_zcgesv_Tile_Async

  int PLASMA_zgesvd_Tile_Async (PLASMA_enum jobu, PLASMA_enum jobvt, PLASMA_desc * A, double * S, PLASMA_desc * T, PLASMA_Complex64_t * U, int LDU, PLASMA_Complex64_t * VT, int LDVT, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgesvd_Tile_Async - computes the singular value decomposition (SVD) of a complex M-by-N matrix A, optionally computing the left and/or right singular vectors. Non-blocking equivalent of PLASMA_zgesvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgesvd

    PLASMA_zgesvd_Tile

    PLASMA_cgesvd_Tile_Async

    PLASMA_dgesvd_Tile_Async

    PLASMA_sgesvd_Tile_Async

  int PLASMA_zgetrf_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrf_incpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_zgetrf_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrf_incpiv

    PLASMA_zgetrf_incpiv_Tile

    PLASMA_cgetrf_incpiv_Tile_Async

    PLASMA_dgetrf_incpiv_Tile_Async

    PLASMA_sgetrf_incpiv_Tile_Async

    PLASMA_zgetrs_incpiv_Tile_Async

  int PLASMA_zgetrf_nopiv_Tile_Async (PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrf_nopiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_zgetrf_nopiv_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrf_nopiv

    PLASMA_zgetrf_nopiv_Tile

    PLASMA_cgetrf_nopiv_Tile_Async

    PLASMA_dgetrf_nopiv_Tile_Async

    PLASMA_sgetrf_nopiv_Tile_Async

    PLASMA_zgetrs_Tile_Async

  int PLASMA_zgetrf_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrf_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_zgetrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrf

    PLASMA_zgetrf_Tile

    PLASMA_cgetrf_Tile_Async

    PLASMA_dgetrf_Tile_Async

    PLASMA_sgetrf_Tile_Async

    PLASMA_zgetrs_Tile_Async

  int PLASMA_zgetrf_tntpiv_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, int * Wpivot, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrf_tntpiv_Tile_Async - Computes the tile LU factorization of a matrix. Non-blocking equivalent of PLASMA_zgetrf_tntpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    A On entry, the M-by-N matrix to be factored. On exit, the tile factors L and U from the factorization.
    IPIV The pivot indices that define the permutations
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrf_tntpiv

    PLASMA_zgetrf_tntpiv_Tile

    PLASMA_cgetrf_tntpiv_Tile_Async

    PLASMA_dgetrf_tntpiv_Tile_Async

    PLASMA_sgetrf_tntpiv_Tile_Async

  int PLASMA_zgetri_Tile_Async (PLASMA_desc * A, int * IPIV, PLASMA_desc * W, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetri_Tile_Async - Computes the inverse of a matrix using the LU factorization computed by PLASMA_zgetrf. This method inverts U and then computes inv(A) by solving the system inv(A)*L = inv(U) for inv(A). Non-blocking equivalent of PLASMA_zgetri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetri

    PLASMA_zgetri_Tile

    PLASMA_cgetri_Tile_Async

    PLASMA_dgetri_Tile_Async

    PLASMA_sgetri_Tile_Async

    PLASMA_zgetrf_Tile_Async

  int PLASMA_zgetrs_incpiv_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrs_incpiv_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_zgetrs_incpiv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrs_incpiv

    PLASMA_zgetrs_incpiv_Tile

    PLASMA_cgetrs_incpiv_Tile_Async

    PLASMA_dgetrs_incpiv_Tile_Async

    PLASMA_sgetrs_incpiv_Tile_Async

    PLASMA_zgetrf_incpiv_Tile_Async

  int PLASMA_zgetrs_Tile_Async (PLASMA_enum trans, PLASMA_desc * A, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zgetrs_Tile_Async - Solves a system of linear equations using previously computed LU factorization. Non-blocking equivalent of PLASMA_zgetrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zgetrs

    PLASMA_zgetrs_Tile

    PLASMA_cgetrs_Tile_Async

    PLASMA_dgetrs_Tile_Async

    PLASMA_sgetrs_Tile_Async

    PLASMA_zgetrf_Tile_Async

  int PLASMA_zheev_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, double * W, PLASMA_desc * T, PLASMA_Complex64_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zheev_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_zheev On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zheev

    PLASMA_zheev_Tile

    PLASMA_cheev_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_zheevd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, double * W, PLASMA_desc * T, PLASMA_Complex64_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zheevd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    jobz Intended usage: = PlasmaNoVec: computes eigenvalues only; = PlasmaVec: computes eigenvalues and eigenvectors.
    uplo Specifies whether the matrix A is upper triangular or lower triangular: = PlasmaUpper: Upper triangle of A is stored; = PlasmaLower: Lower triangle of A is stored.
    A On entry, the symmetric (or Hermitian) matrix A. If uplo = PlasmaUpper, the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if jobz = PlasmaVec, then if return value = 0, A contains the orthonormal eigenvectors of the matrix A. If jobz = PlasmaNoVec, then on exit the lower triangle (if uplo = PlasmaLower) or the upper triangle (if uplo = PlasmaUpper) of A, including the diagonal, is destroyed.*
    W On exit, if info = 0, the eigenvalues.
    T On entry, descriptor as return by PLASMA_Alloc_Workspace_zheevd On exit, contains auxiliary factorization data.
    Q On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDQ The leading dimention of the eigenvectors matrix Q. LDQ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zheevd

    PLASMA_zheevd_Tile

    PLASMA_cheevd_Tile_Async

    PLASMA_dsyev_Tile_Async

    PLASMA_ssyev_Tile_Async

  int PLASMA_zheevr_Tile_Async (PLASMA_enum jobz, PLASMA_enum range, PLASMA_enum uplo, PLASMA_desc * A, double vl, double vu, int il, int iu, double abstol, int * nbcomputedeig, double * W, PLASMA_desc * T, PLASMA_Complex64_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zheevr_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zheevr

    PLASMA_zheevr_Tile

    PLASMA_cheevr_Tile_Async

    PLASMA_dsyevr_Tile_Async

    PLASMA_ssyevr_Tile_Async

  int PLASMA_zhegst_Tile_Async (PLASMA_enum itype, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zhegst_Tile_Async - reduces a complex Hermitian-definite generalized eigenproblem to standard form. If PlasmaItype == 1, the problem is A*x = lambda*B*x, and A is overwritten by inv(U**H)*A*inv(U) or inv(L)*A*inv(L**H) If PlasmaItype == 2 or 3, the problem is A*B*x = lambda*x or B*A*x = lambda*x, and A is overwritten by U*A*U**H or L**H*A*L. B must have been previously factorized as U**H*U or L*L**H by PLASMA_ZPOTRF. ONLY PlasmaItype == 1 and PlasmaLower supported! Non-blocking equivalent of PLASMA_zhegst_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zhegst

    PLASMA_zhegst_Tile

    PLASMA_chegst_Tile_Async

    PLASMA_dsygst_Tile_Async

    PLASMA_ssygst_Tile_Async

    PLASMA_zhegv_Tile_Async

  int PLASMA_zhegv_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, double * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zhegv_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_zhegv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zhegv

    PLASMA_zhegv_Tile

    PLASMA_chegv_Tile_Async

    PLASMA_dsygv_Tile_Async

    PLASMA_ssygv_Tile_Async

  int PLASMA_zhegvd_Tile_Async (PLASMA_enum itype, PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, double * W, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zhegvd_Tile - Computes all eigenvalues and, optionally, eigenvectors of a complex generalized Hermitian-definite eigenproblem of the form: A*x=(lambda)*B*x, A*Bx=(lambda)*x, or B*A*x=(lambda)*x. Here A and B are assumed to be Hermitian and B is also positive definite.

Non-blocking equivalent of PLASMA_zhegvd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zhegvd

    PLASMA_zhegvd_Tile

    PLASMA_chegvd_Tile_Async

    PLASMA_dsygvd_Tile_Async

    PLASMA_ssygvd_Tile_Async

  int PLASMA_zhemm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex64_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zhemm_Tile_Async - Performs Hermitian matrix multiplication. Non-blocking equivalent of PLASMA_zhemm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zhemm

    PLASMA_zhemm_Tile

    PLASMA_chemm_Tile_Async

    PLASMA_dhemm_Tile_Async

    PLASMA_shemm_Tile_Async

  int PLASMA_zher2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, double beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zher2k_Tile_Async - Performs Hermitian rank-k update. Non-blocking equivalent of PLASMA_zher2k_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zher2k

    PLASMA_zher2k_Tile

    PLASMA_cher2k_Tile_Async

    PLASMA_dher2k_Tile_Async

    PLASMA_sher2k_Tile_Async

  int PLASMA_zherk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, double alpha, PLASMA_desc * A, double beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zherk_Tile_Async - Performs Hermitian rank-k update. Non-blocking equivalent of PLASMA_zherk_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zherk

    PLASMA_zherk_Tile

    PLASMA_cherk_Tile_Async

    PLASMA_dherk_Tile_Async

    PLASMA_sherk_Tile_Async

  int PLASMA_zhetrd_Tile_Async (PLASMA_enum jobz, PLASMA_enum uplo, PLASMA_desc * A, double * W, double * E, PLASMA_desc * T, PLASMA_Complex64_t * Q, int LDQ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zhetrd_Tile_Async - Computes all eigenvalues and, optionally, eigenvectors of a complex Hermitian matrix A using a two-stage approach: First stage: reduction to band tridiagonal form; Second stage: reduction from band to tridiagonal form.

May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zhetrd

    PLASMA_zhetrd_Tile

    PLASMA_chetrd_Tile_Async

    PLASMA_dsytrd_Tile_Async

    PLASMA_ssytrd_Tile_Async

  int PLASMA_zlacpy_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlacpy_Tile_Async - Non-blocking equivalent of PLASMA_zlacpy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlacpy

    PLASMA_zlacpy_Tile

    PLASMA_clacpy_Tile_Async

    PLASMA_dlacpy_Tile_Async

    PLASMA_slacpy_Tile_Async

  int PLASMA_zlange_Tile_Async (PLASMA_enum norm, PLASMA_desc * A, double * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlange_Tile_Async - Non-blocking equivalent of PLASMA_zlange_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlange

    PLASMA_zlange_Tile

    PLASMA_clange_Tile_Async

    PLASMA_dlange_Tile_Async

    PLASMA_slange_Tile_Async

  int PLASMA_zlanhe_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc * A, double * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlanhe_Tile_Async - Non-blocking equivalent of PLASMA_zlanhe_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlanhe

    PLASMA_zlanhe_Tile

    PLASMA_clanhe_Tile_Async

    PLASMA_dlanhe_Tile_Async

    PLASMA_slanhe_Tile_Async

  int PLASMA_zlansy_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_desc * A, double * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlansy_Tile_Async - Non-blocking equivalent of PLASMA_zlansy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlansy

    PLASMA_zlansy_Tile

    PLASMA_clansy_Tile_Async

    PLASMA_dlansy_Tile_Async

    PLASMA_slansy_Tile_Async

  int PLASMA_zlantr_Tile_Async (PLASMA_enum norm, PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, double * value, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlantr_Tile_Async - Non-blocking equivalent of PLASMA_zlantr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlantr

    PLASMA_zlantr_Tile

    PLASMA_clantr_Tile_Async

    PLASMA_dlantr_Tile_Async

    PLASMA_slantr_Tile_Async

  int PLASMA_zLapack_to_Tile_Async (PLASMA_Complex64_t * Af77, int LDA, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zLapack_to_Tile_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_zLapack_to_Tile(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    A Descriptor of the PLASMA matrix in tile layout.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zTile_to_Lapack_Async

    PLASMA_zLapack_to_Tile

    PLASMA_cLapack_to_Tile_Async

    PLASMA_dLapack_to_Tile_Async

    PLASMA_sLapack_to_Tile_Async

  int PLASMA_zlascal_Tile_Async (PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlascal_Tile_Async - Scales a matrix by the scalar alpha as in ScaLAPACK pzlascal(). Non-blocking equivalent of PLASMA_zlascal_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlascal

    PLASMA_zlascal_Tile

    PLASMA_clascal_Tile_Async

    PLASMA_dlascal_Tile_Async

    PLASMA_slascal_Tile_Async

  int PLASMA_zlaset_Tile_Async (PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_Complex64_t beta, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlaset_Tile_Async - Non-blocking equivalent of PLASMA_zlaset_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlaset

    PLASMA_zlaset_Tile

    PLASMA_claset_Tile_Async

    PLASMA_dlaset_Tile_Async

    PLASMA_slaset_Tile_Async

  int PLASMA_zlaswp_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlaswp_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_zlaswp_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlaswp

    PLASMA_zlaswp_Tile

    PLASMA_claswp_Tile_Async

    PLASMA_dlaswp_Tile_Async

    PLASMA_slaswp_Tile_Async

    PLASMA_zgetrf_Tile_Async

  int PLASMA_zlaswpc_Tile_Async (PLASMA_desc * A, int K1, int K2, const int * IPIV, int INCX, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlaswpc_Tile_Async - performs a series of row interchanges on the matrix A. One row interchange is initiated for each of rows K1 through K2 of A. Non-blocking equivalent of PLASMA_zlaswpc_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlaswpc

    PLASMA_zlaswpc_Tile

    PLASMA_claswpc_Tile_Async

    PLASMA_dlaswpc_Tile_Async

    PLASMA_slaswpc_Tile_Async

    PLASMA_zgetrf_Tile_Async

  int PLASMA_zlauum_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zlauum_Tile_Async - Computes the product U * U' or L' * L, where the triangular factor U or L is stored in the upper or lower triangular part of the array A. Non-blocking equivalent of PLASMA_zlauum_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zlauum

    PLASMA_zlauum_Tile

    PLASMA_clauum_Tile_Async

    PLASMA_dlauum_Tile_Async

    PLASMA_slauum_Tile_Async

    PLASMA_zpotri_Tile_Async

  int PLASMA_zplghe_Tile_Async (double bump, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zplghe_Tile_Async - Generate a random hermitian matrix by tiles. Non-blocking equivalent of PLASMA_zplghe_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zplghe

    PLASMA_zplghe_Tile

    PLASMA_cplghe_Tile_Async

    PLASMA_dplghe_Tile_Async

    PLASMA_splghe_Tile_Async

    PLASMA_zplghe_Tile_Async

    PLASMA_zplgsy_Tile_Async

  int PLASMA_zplgsy_Tile_Async (PLASMA_Complex64_t bump, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zplgsy_Tile_Async - Generate a random hermitian matrix by tiles. Non-blocking equivalent of PLASMA_zplgsy_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zplgsy

    PLASMA_zplgsy_Tile

    PLASMA_cplgsy_Tile_Async

    PLASMA_dplgsy_Tile_Async

    PLASMA_splgsy_Tile_Async

    PLASMA_zplgsy_Tile_Async

    PLASMA_zplgsy_Tile_Async

  int PLASMA_zplrnt_Tile_Async (PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zplrnt_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_zplrnt_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zplrnt

    PLASMA_zplrnt_Tile

    PLASMA_cplrnt_Tile_Async

    PLASMA_dplrnt_Tile_Async

    PLASMA_splrnt_Tile_Async

    PLASMA_zplghe_Tile_Async

    PLASMA_zplgsy_Tile_Async

  int PLASMA_zpltmg_Tile_Async (PLASMA_enum mtxtype, PLASMA_desc * A, unsigned long long int seed, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zpltmg_Tile_Async - Generate a random matrix by tiles. Non-blocking equivalent of PLASMA_zpltmg_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    mtxtype See PLASMA_zpltmg()
    A Descriptor of the matrix A to generate. On exit, The random matrix A generated.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zpltmg

    PLASMA_zpltmg_Tile

    PLASMA_cpltmg_Tile_Async

    PLASMA_dpltmg_Tile_Async

    PLASMA_spltmg_Tile_Async

  int PLASMA_zpocon_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, double Anorm, double * rcond, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zpocon_Tile_Async - estimates the reciprocal of the condition number of a general complex matrix A, in either the 1-norm or the infinity-norm. Non-blocking equivalent of PLASMA_zpocon_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zpocon

    PLASMA_zpocon_Tile

    PLASMA_cpocon_Tile_Async

    PLASMA_dpocon_Tile_Async

    PLASMA_spocon_Tile_Async

  int PLASMA_zposv_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zposv_Tile_Async - Solves a symmetric positive definite or Hermitian positive definite system of linear equations using the Cholesky factorization. Non-blocking equivalent of PLASMA_zposv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zposv

    PLASMA_zposv_Tile

    PLASMA_cposv_Tile_Async

    PLASMA_dposv_Tile_Async

    PLASMA_sposv_Tile_Async

  int PLASMA_zpotrf_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zpotrf_Tile_Async - Computes the Cholesky factorization of a symmetric positive definite or Hermitian positive definite matrix. Non-blocking equivalent of PLASMA_zpotrf_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zpotrf

    PLASMA_zpotrf_Tile

    PLASMA_cpotrf_Tile_Async

    PLASMA_dpotrf_Tile_Async

    PLASMA_spotrf_Tile_Async

    PLASMA_zpotrs_Tile_Async

  int PLASMA_zpotri_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zpotri_Tile_Async - Computes the inverse of a complex Hermitian positive definite matrix A using the Cholesky factorization A = U**H*U or A = L*L**H computed by PLASMA_zpotrf. Non-blocking equivalent of PLASMA_zpotri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zpotri

    PLASMA_zpotri_Tile

    PLASMA_cpotri_Tile_Async

    PLASMA_dpotri_Tile_Async

    PLASMA_spotri_Tile_Async

    PLASMA_zpotrf_Tile_Async

  int PLASMA_zpotrs_Tile_Async (PLASMA_enum uplo, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zpotrs_Tile_Async - Solves a system of linear equations using previously computed Cholesky factorization. Non-blocking equivalent of PLASMA_zpotrs_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zpotrs

    PLASMA_zpotrs_Tile

    PLASMA_cpotrs_Tile_Async

    PLASMA_dpotrs_Tile_Async

    PLASMA_spotrs_Tile_Async

    PLASMA_zpotrf_Tile_Async

  int PLASMA_zstedc_Async (PLASMA_enum jobz, int n, double * D, double * E, PLASMA_Complex64_t * Z, int LDZ, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zstedc_Async - Computes all eigenpairs of a symmetric tridiagonal matrix

Parameters:
    jobz Intended usage: = PlasmaIVec: computes eigenpairs of the symmetric tridiagonal matrix = PlasmaVec: computes eigenpairs of the original matrix (not supported now)
    n n specifies the dimension of the original matrix
    D On entry, D contains the diagonal elements of the tridiagonal matrix On exit, D contains the eigenvalues
    E On entry, E contains the extra-diagonal elements of the tridiagonal matrix
    Z On exit, if jobz = PlasmaVec and info = 0, the eigenvectors.
    LDZ The leading dimention of the eigenvectors matrix Z. LDZ >= max(1,N).
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

Returns:

Return values:
    PLASMA_SUCCESS successful exit
    <0 if -i, the i-th argument had an illegal value

  int PLASMA_zsymm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex64_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zsymm_Tile_Async - Performs symmetric matrix multiplication. Non-blocking equivalent of PLASMA_zsymm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zsymm

    PLASMA_zsymm_Tile

    PLASMA_csymm_Tile_Async

    PLASMA_dsymm_Tile_Async

    PLASMA_ssymm_Tile_Async

  int PLASMA_zsyr2k_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_Complex64_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zsyr2k_Tile_Async - Performs symmetric rank-k update. Non-blocking equivalent of PLASMA_zsyr2k_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zsyr2k

    PLASMA_zsyr2k_Tile

    PLASMA_csyr2k_Tile_Async

    PLASMA_dsyr2k_Tile_Async

    PLASMA_ssyr2k_Tile_Async

  int PLASMA_zsyrk_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_Complex64_t beta, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zsyrk_Tile_Async - Performs rank-k update. Non-blocking equivalent of PLASMA_zsyrk_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zsyrk

    PLASMA_zsyrk_Tile

    PLASMA_csyrk_Tile_Async

    PLASMA_dsyrk_Tile_Async

    PLASMA_ssyrk_Tile_Async

  int PLASMA_zTile_to_Lapack_Async (PLASMA_desc * A, PLASMA_Complex64_t * Af77, int LDA, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_zTile_to_Lapack_Async - Conversion from LAPACK layout to tile layout. Non-blocking equivalent of PLASMA_zTile_to_Lapack(). May return before the computation is finished. Allows for pipelining of operations ar runtime.

Parameters:
    A Descriptor of the PLASMA matrix in tile layout.
    Af77 LAPACK matrix.
    LDA The leading dimension of the matrix Af77.
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zLapack_to_Tile_Async

    PLASMA_zTile_to_Lapack

    PLASMA_cTile_to_Lapack_Async

    PLASMA_dTile_to_Lapack_Async

    PLASMA_sTile_to_Lapack_Async

  int PLASMA_ztradd_Tile_Async (PLASMA_enum uplo, PLASMA_enum trans, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_Complex64_t beta, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztradd_Tile_Async - Performs a matrix addition similarly to the pztradd() function from the PBLAS library. Non-blocking equivalent of PLASMA_ztradd_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztradd

    PLASMA_ztradd_Tile

    PLASMA_ctradd_Tile_Async

    PLASMA_dtradd_Tile_Async

    PLASMA_stradd_Tile_Async

  int PLASMA_ztrmm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztrmm_Tile_Async - Performs triangular matrix multiplication. Non-blocking equivalent of PLASMA_ztrmm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztrmm

    PLASMA_ztrmm_Tile

    PLASMA_ctrmm_Tile_Async

    PLASMA_dtrmm_Tile_Async

    PLASMA_strmm_Tile_Async

  int PLASMA_ztrsm_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztrsm_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_ztrsm_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztrsm

    PLASMA_ztrsm_Tile

    PLASMA_ctrsm_Tile_Async

    PLASMA_dtrsm_Tile_Async

    PLASMA_strsm_Tile_Async

  int PLASMA_ztrsmpl_Tile_Async (PLASMA_desc * A, PLASMA_desc * L, const int * IPIV, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztrsmpl_Tile - Performs the forward substitution step of solving a system of linear equations after the tile LU factorization of the matrix. Non-blocking equivalent of PLASMA_ztrsmpl_Tile(). Returns control to the user thread before worker threads finish the computation to allow for pipelined execution of diferent routines.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztrsmpl

    PLASMA_ztrsmpl_Tile

    PLASMA_ctrsmpl_Tile_Async

    PLASMA_dtrsmpl_Tile_Async

    PLASMA_strsmpl_Tile_Async

    PLASMA_zgetrf_incpiv_Tile_Async

  int PLASMA_ztrsmrv_Tile_Async (PLASMA_enum side, PLASMA_enum uplo, PLASMA_enum transA, PLASMA_enum diag, PLASMA_Complex64_t alpha, PLASMA_desc * A, PLASMA_desc * B, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztrsmrv_Tile_Async - Computes triangular solve. Non-blocking equivalent of PLASMA_ztrsmrv_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztrsmrv

    PLASMA_ztrsmrv_Tile

    PLASMA_ctrsmrv_Tile_Async

    PLASMA_dtrsmrv_Tile_Async

    PLASMA_strsmrv_Tile_Async

  int PLASMA_ztrtri_Tile_Async (PLASMA_enum uplo, PLASMA_enum diag, PLASMA_desc * A, PLASMA_sequence * sequence, PLASMA_request * request)
PLASMA_ztrtri_Tile_Async - Computes the inverse of a complex upper or lower triangular matrix A. Non-blocking equivalent of PLASMA_ztrtri_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_ztrtri

    PLASMA_ztrtri_Tile

    PLASMA_ctrtri_Tile_Async

    PLASMA_dtrtri_Tile_Async

    PLASMA_strtri_Tile_Async

    PLASMA_zpotri_Tile_Async

  int PLASMA_zunglq_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_zunglq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zunglq

    PLASMA_zunglq_Tile

    PLASMA_cunglq_Tile_Async

    PLASMA_dorglq_Tile_Async

    PLASMA_sorglq_Tile_Async

    PLASMA_zgelqf_Tile_Async

  int PLASMA_zungqr_Tile_Async (PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * Q, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_zungqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zungqr

    PLASMA_zungqr_Tile

    PLASMA_cungqr_Tile_Async

    PLASMA_dorgqr_Tile_Async

    PLASMA_sorgqr_Tile_Async

    PLASMA_zgeqrf_Tile_Async

  int PLASMA_zunmlq_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_zunmlq_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zunmlq

    PLASMA_zunmlq_Tile

    PLASMA_cunmlq_Tile_Async

    PLASMA_dormlq_Tile_Async

    PLASMA_sormlq_Tile_Async

    PLASMA_zgelqf_Tile_Async

  int PLASMA_zunmqr_Tile_Async (PLASMA_enum side, PLASMA_enum trans, PLASMA_desc * A, PLASMA_desc * T, PLASMA_desc * C, PLASMA_sequence * sequence, PLASMA_request * request)
Non-blocking equivalent of PLASMA_zunmqr_Tile(). May return before the computation is finished. Allows for pipelining of operations at runtime.

Parameters:
    sequence Identifies the sequence of function calls that this call belongs to (for completion checks and exception handling purposes).
    request Identifies this function call (for exception handling purposes).

See also:
    PLASMA_zunmqr

    PLASMA_zunmqr_Tile

    PLASMA_cunmqr_Tile_Async

    PLASMA_dormqr_Tile_Async

    PLASMA_sormqr_Tile_Async

    PLASMA_zgeqrf_Tile_Async

Author

Generated automatically by Doxygen for PLASMA from the source code.